=== debian/changelog ===
cdist (5.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 23 Jun 2019 11:00:51 +0000

cdist (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 29 May 2019 04:13:03 +0000

cdist (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 22 May 2019 21:17:07 +0000

cdist (5.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 19 May 2019 11:38:57 +0000

cdist (5.0.1-1) experimental; urgency=medium

  * New upstream release
  * Drop "do-not-assume-git-checkout.patch": reimplemented upstream.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 11 May 2019 19:10:03 +0000

cdist (5.0.0-1) experimental; urgency=medium

  * New upstream version 5.0.0 (Closes: #928350)
  * Update debian/watch to new upstream hosting
  * [34afa46f] Refresh patches.
    + Drop 0003-Fix-spelling-error-in-manpage.patch: applied upstream
  * [0e49f305] Do not recreate "cdist/version.py" in debian/rules
  * [63b20ed7] Update Homepage field in debian/control

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 05 May 2019 21:25:56 +0000

cdist (4.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 22 Apr 2019 16:06:50 +0000

cdist (4.10.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards version to 4.3.0

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 12 Apr 2019 21:09:10 +0000

cdist (4.10.8-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 06 Apr 2019 20:51:36 +0000
