=== debian/control ===
Source: cdist
Maintainer: Dmitry Bogatov <KAction@debian.org>
Section: admin
Priority: optional
Build-Conflicts: python-sphinx
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 dh-linktree,
 python3,
 python3-all,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 bash-completion,
 jdupes,
Standards-Version: 4.3.0
Homepage: https://cdi.st
Vcs-Browser: https://salsa.debian.org/debian/cdist
Vcs-Git: https://salsa.debian.org/debian/cdist.git

Package: cdist
Architecture: all
Depends: python3 (>= 3.4), ${misc:Depends}, ${python3:Depends}
Suggests: cdist-doc
Description: Usable Configuration Management System
 cdist is a usable configuration management system.
 It adheres to the KISS principle and is being used in
 small up to enterprise grade environments. It has the
 following noteworthy features:
 .
  * shell scripting configuration language
  * access to all control structures (if, case, for, while)
  * idempotent target properties
  * zero-dependencies: target system need only /bin/sh and ssh
  * push-based distribution
  * highly-scalable
 .
 cdist is an alternative to other configuration management systems
 like cfengine, bcfg2, chef and puppet.

Package: cdist-doc
Section: doc
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Usable Configuration Management System (html documentation)
 cdist is a usable configuration management system.
 It adheres to the KISS principle and is being used in
 small up to enterprise grade environments. It has the
 following noteworthy features:
 .
  * shell scripting configuration language
  * access to all control structures (if, case, for, while)
  * idempotent target properties
  * zero-dependencies: target system need only /bin/sh and ssh
  * push-based distribution
  * highly-scalable
 .
 cdist is an alternative to other configuration management systems
 like cfengine, bcfg2, chef and puppet.
 .
 This package contains Sphinx-generated html documentation.
