## cdist 5.1.3

=== debian/changelog ===
cdist (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override about #!/sbin/openrc-run interpreter
  * Update standards version, no changes needed.
  * Bump debhelper from old 11 to 12.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 31 Aug 2019 00:11:37 +0000

cdist (5.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 16 Aug 2019 06:47:32 +0000
