=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Conflicts: python-sphinx
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  dh-linktree,
  python3,
@@ -13,7 +13,7 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://cdi.st
 Vcs-Browser: https://salsa.debian.org/debian/cdist
 Vcs-Git: https://salsa.debian.org/debian/cdist.git
