=== debian/changelog ===
cdist (6.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix spelling error in manpage
  * Update lintian overrides
  * Set "Rules-Requires-Root" field to "no"
  * Bump standards version to 4.4.1

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 18 Oct 2019 22:45:18 +0000

cdist (6.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 12 Oct 2019 04:16:14 +0000
