=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://cdi.st
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/cdist
 Vcs-Git: https://salsa.debian.org/debian/cdist.git
