=== debian/changelog ===
cdist (6.9.4-1ubuntu1) jammy; urgency=medium

  * Cherry-pick 2 commits for python 3.10 compatibility (LP: #1959330)
    * Fix version compare
    * Fix transition of some classes from collections to collections.abc

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 27 Jan 2022 11:45:53 -0700

cdist (6.9.4-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #982179)
  * New upstream release. (Closes: #970734)
    - Fixes FTBFS with Sphinx 2.4. (Closes: #955110)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 09:45:26 +0200
