=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cdist
-Maintainer: Dmitry Bogatov <KAction@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: admin
 Priority: optional
 Build-Conflicts: python-sphinx
