=== debian/watch ===
version=4
opts="pgpmode=next" https://code.ungleich.ch/ungleich-public/cdist/tags \
  .*/uploads/.*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
  debian

opts="pgpmode=previous" https://code.ungleich.ch/ungleich-public/cdist/tags \
    .*/uploads/.*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@\.asc \
    previous uupdate
