## cdist 6.9.8

=== debian/changelog ===
cdist (6.9.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update watch file for gitea migration, upstream.
    - Remove upstream signing key, no longer useful.
  * Update copyright.
  * Refresh patches.
  * Write a version.py, upstream isn't including it or the tools to generate
    it.
  * Patch: Python 3.10 support (Closes: #1004446)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump debhelper compat level to 13.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Apr 2022 17:28:51 -0400
