=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: cdist
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: admin
 Priority: optional
 Build-Conflicts: python-sphinx
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  dh-linktree,
  python3,
@@ -14,7 +13,7 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://cdi.st
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/cdist
