=== debian/changelog ===
cdist (7.0.0-3) unstable; urgency=high

  * QA upload.
  * debian/rules: Fix jdupes invocation wrt. --linksoft → --link-soft
    option renaming. (Closes: #1052879)

 -- Axel Beckert <abe@debian.org>  Tue, 26 Sep 2023 16:22:40 +0200

cdist (7.0.0-2) unstable; urgency=high

  * QA upload.
  * Cherry-pick upstream commit b974969f for Python 3.11 compatibility.
    (Closes: #1028447)
  * Declare compliance with Debian Policy 4.6.2.
  * Replace link to outdated Github repo in debian/copyright.
  * debian/clean: Add cdist.egg-info to be able to build twice in a row.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Jan 2023 22:48:57 +0100

cdist (7.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 4.6.1, no changes needed.
  * debian/patches:
    - Refresh.
    - Drop debian/patches/collections-abc.patch applied by upstream.
  * Add debian/upstream/metadata.
  * debian/copyright: Add myself.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sun, 07 Aug 2022 10:47:29 -0300
