=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://cdi.st
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/cdist
