=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,13 @@
 	dh $@ --with python3,linktree,sphinxdoc,bash_completion \
 	    --buildsystem=pybuild
 
-override_dh_auto_build:
+cdist/version.py:
+	echo 'VERSION = "$(DEB_VERSION_UPSTREAM)"' > cdist/version.py
+
+override_dh_auto_configure: cdist/version.py
+	dh_auto_configure
+
+override_dh_auto_build: cdist/version.py
 	# This directory is lost during
 	#
 	# upstream git -> tarball -> git-buildpackage
@@ -27,7 +33,7 @@
 
 override_dh_install:
 	dh_install
-	jdupes --linksoft --recurse debian/cdist-doc
+	jdupes --link-soft --recurse debian/cdist-doc
 
 # If something has shebang, then `chmod +x'. But it is important to
 # search only among scripts, since some manpages trigger false-positive
@@ -38,7 +44,7 @@
 	find debian/cdist/usr/lib/python3 -type f -execdir \
 	    /bin/sh -c '(head -n1 {} | grep -qF "#!") && chmod +x {}' \;
 
-override_dh_auto_clean:
+override_dh_auto_clean: cdist/version.py
 	$(MAKE) clean
-	rm -rf ./build
 	dh_auto_clean
+	rm -rf ./build cdist/version.py
