=== debian/tests/control ===
Test-Command: cdist --version
Depends: @
Restrictions: allow-stderr

# vim: ft=debcontrol
